/* Génération d'un tableau de réels double     */
/* tirés au sort entre 0.0 et 1.0              */

public class GenerationTableauReel {

/* Programme principal                         */

  public static void main(String [] args) {
    /* Taille du tableau                       */
    final int TAILLE = 20;
    /* Déclaration du tableau                  */
    double [] tab = new double[TAILLE];
    int i;
    /* Remplissage du tableau                  */
    for ( i = 0 ; i < tab.length ; i = i+1 ) {
      tab[i] = Math.random(); }
    /* Affichage des valeurs du tableau        */
    for ( i = 0 ; i < tab.length ; i = i+1 ) {
      Ecran.afficherln(tab[i]); }
  }
}